.greybg
{
    background:#bbb;
    font-size: 1.1em;
    border-radius: 0;
    padding: .2em;
}

button
{
	touch-action: manipulation;
}

#keyboard
{
		touch-action: manipulation;
    background: #ffe;
    border:none;
		margin-top: 5px;
}

/* #### Mobile Phones Portrait or Landscape #### */
@media screen and (max-device-width: 1030px){
	#keyboard
	{
		margin-left: -45px;
		touch-action: manipulation;
		transform: scale(0.9);
	}
}

#keyboard span
{
	touch-action: manipulation;
}

#keyboard fnbutton
{
    width: 60px;
}

#keyboard mqbutton
{
    width: 30px;
    text-align: center;
}

#keyboard button:hover, #keyboard button:focus 
{
    color: #036;
    font-weight: 900;
    border-color: #58a7b7;
    background-color: #f2f2f2;
    background: -webkit-linear-gradient(top, #f7f7f7 0, #f7f7f7 40%, #efefef 60%, #efefef 100%);
    background: linear-gradient(to bottom, #f7f7f7 0, #f7f7f7 40%, #efefef 60%, #efefef 100%)
}

#keyboard button:active {
    box-shadow: inset 1px 1px 1px 0 rgba(0, 0, 0, 0.2);
    background-color: #dfdfdf;
    background: -webkit-linear-gradient(top, #ebebeb 0, #ebebeb 46%, #dfdfdf 66%, #dfdfdf 100%);
    background: linear-gradient(to bottom, #ebebeb 0, #ebebeb 46%, #dfdfdf 66%, #dfdfdf 100%);
    color: inherit
}

.editpanel
{
    width:100%;
    max-width:800px;
    vertical-align:top;
    margin:5pt auto;
}

.actiontarget
{
    vertical-align: top;
    word-wrap: break-word;
    overflow-y:visible;
    width:90%;
    padding: 2px;
    margin: 5px;
    min-height:20px;
    font-size: 13pt;
    font-style: italic;
    text-align: center;
    display: inline-block;
    background: rgba(0,0,255,0.1);
    color: rgb(30,30,30);
    border: 2px solid #333;
    border-radius: 50%;
    height:40px;
    line-height:40px;
}

.actionenabled
{
}

.actionenabled:hover
{
    background: rgba(0,0,255,0.3);
}

.fakeclick
{
    background: rgba(0,0,255,0.3);
    border: solid 4pt red !important;
    opacity: 1 !important;
}

.actionenabled:active
{
    background: rgba(0,0,255,0.2);
}

.actiontable
{
    width: 100%;
    table-layout: fixed;
}

.actiontable td
{
/*  height: 80px; */
}

.expression
{
/* 		line-height: 1.3rem;; */
 		font-size: 1.2rem;
    text-align: center;
    background: rgba(255,255,0,0.3);
/*     display: inline-block; */
/*  margin: 10px; */
    padding: 5px;
    margin-bottom:10px;
    margin-top:10px;
/* 
    padding-left: 10px;
    padding-right: 10px;
 */
    border: #777 2px solid;
    word-wrap: break-word;
/*    overflow-x:scroll;*/
    overflow-y:visible;
    min-width: 250px;
    width:90%;
/*     max-width:500px; */
    min-height: 60px;
    display: inline-flex;
    align-items: center;
/* 
    margin-bottom: 30px;
    margin-left: 0px;
 */
}

.expression sub, .expression sup 
{
    font-size: initial;
    line-height: initial;
    vertical-align: initial;
    position: initial;
    top: initial;
    bottom: initial;
}

.prefixarea
{
/*  font-size: 20pt; */
    display: inline-flex;
    float:left;
    align-items: center;
}

.prefix
{
/*  font-size: 20pt; */
    text-align: right;
    display: inline-block;
    margin: 0px;
    padding: 5px;
    vertical-align: top;
/* 
    margin-bottom: 0px;
    margin-right: 0px;
 */
/*     float:left; */
    max-width: 400px;
/*     overflow-x: scroll; */
}

.prefix sub, .prefix sup 
{
    font-size: initial;
    line-height: initial;
    vertical-align: initial;
    position: initial;
    top: initial;
    bottom: initial;
}

.active
{
    border-width: 4px !important;
/*  margin: -2px; */
    background: rgba(255,255,0,0.4);
}

.activetile
{
    border: red 2px solid;
}

.activeaction
{
    border: red 1px solid;
    opacity: 0.7;
}

.dropped
{
    position: static !important;
}

#__overlay
{
    height: 180px !important;
    margin: 120px 20% !important;
    width: 40% !important;
}

#__overlay h2
{
    font-size: 2rem;
}

#tabs
{
	margin-top: -8px;
}

#tabs .ui-widget 
{
	 font-size: 0.8em !important;
}

#display 
{
	 font-size: 1.1em !important;
}

.helpcontainer
{
	position:relative;
	height:520px;
	margin-top:2.5rem;
	z-index: 100;
	display:none;
}

.helpholder
{
	position:absolute;
	top:0;
}

.helpimage
{
	width:90%;
	border:solid 2pt brown;
}

.helpheader
{
	text-align: center;
	margin-bottom: 0.5rem;
	font-size: 1.5rem;
}
	
.scrollLeft>span {
	padding: 0px 5px 1px 5px !important;
}

.scrollRight {
	position:relative;
}

.scrollRight>span {
	padding: 0px 3px 1px 7px !important;
}

.internalBtns {
	position:relative;
	left:-110px;
	font-size: 1em;
}
						
.internalBtn {
	margin: -2px; 
	cursor: pointer;
	top: 8px;
	height: 18px;
	width: 25px;
	padding-right:3px;
	vertical-align: bottom;
/* 		margin-bottom: 12px; */
/* 		top: 22px; */
}

.internalBtn>span {
	padding: 0px 3px 1px 7px !important;
	line-height: 14px !important;
	font-size: 14px !important;
}

/* #### Mobile Phones Portrait or Landscape #### */
@media screen and (max-device-width: 1030px){
	#__overlay h2
	{
			font-size: 1.5rem;
	}

	#display 
	{
		 font-size: 1.2em !important;
	}

	.tile
	{
			font-size: 18pt;
	}

	.actiontarget
	{
			border: 1px solid #333;
			border-radius: 40%;
			height:20px;
			line-height:20px;
	}
}

.roundoutline {
    max-width: 600px;
    margin: 25px auto;
}

.loader2
{
	position: fixed;
	left: 0;
	top: 0;
	z-index: 90;
	height: 100vh;
	width: 100vw;
	background: rgba(180, 180, 180, 0.3);
}

.cover
{
	position: absolute;
	left: 0;
	top: 0;
	z-index: 90;
	height: 100%;
	width: 100%;
}

.opaquecover
{
	background: rgba(180, 180, 180, 0.3);
}

.spinner
{
	position: fixed;
	top: 47vh;
	left: 47vw;
	z-index: 100;
	border: 16px solid #f3f3f3;
	border-top: 16px solid #3498db;
	border-radius: 50%;
	width: 3vw;
	height: 3vw;
	animation: spin 1s linear infinite;
}

#savedlist
{
/* 	overflow: hidden; */
	white-space: nowrap;
	font-size: 0.6rem;
	list-style-type: none;
	position: relative;
	top: 22px;
	left: -32px;
	width: 95px;
}

.savedlistitem {
	cursor:pointer;
	background:#0098ce;
	color:white;
	border: solid #036 1pt;
	border-radius: 5px;
	padding: 0 4px 0 4px;
	margin-bottom: 2px;
	width: 80px;
	text-align: center;
}

.savedlistitem:hover {
    background: #79c9ec !important;
}

.savedlistitem:active {
    background: #036 !important;
}

@keyframes spin
{
	0% { transform: rotate(0deg); }
	100% { transform: rotate(360deg); }
}